.. _str: https://docs.python.org/2/library/stdtypes.html

.. _vSphere API 4.0: ../../vim/version.rst#vimversionversion5

.. _vmodl.DynamicData: ../../vmodl/DynamicData.rst

.. _vim.cluster.DrsFaults.FaultsByVm: ../../vim/cluster/DrsFaults/FaultsByVm.rst


vim.cluster.DrsFaults
=====================
  The faults generated by DRS when it tries to make recommendations for rule enforcement, power management, etc., and indexed in a tree structure with reason for recommendations and VM to migrate (optional) as the index keys.
:extends: vmodl.DynamicData_
:since: `vSphere API 4.0`_

Attributes:
    reason (`str`_):

       A reason code explaining why this set of recommendations were attempted by DRS when it generated the faults.
    faultsByVm ([`vim.cluster.DrsFaults.FaultsByVm`_]):

       The faults grouped by VMs that DRS was trying to migrate.
